from aiogram import Bot, Dispatcher, types, F
import asyncio
import logging
from aiogram.filters.command import Command

logging.basicConfig(level=logging.INFO)
bot = Bot(token="8419597029:AAFJq2umb3DDZ_fqbn2EWytwNZxd7y38FaY")
dp = Dispatcher()

@dp.message(Command("start"))
async def cmd_start(message:types.Message):
    kb =[[types.KeyboardButton(text="страшный"),
          types.KeyboardButton(text="милый"),
          types.KeyboardButton(text="веселый"),
          types.KeyboardButton(text="спокойный")]]

    keyboard = types.ReplyKeyboardMarkup(keyboard=kb,resize_keyboard=True)
    await message.answer("привет, я помогаю людям, которые не знают, во что поиграть в роблоксе", reply_markup=keyboard)

@dp.message(F.text == "страшный")
async def scary(message:types.Message):
    cap_text = "одна из самых любимых и высоко оцененных хоррор-игр в Roblox. Она предлагает погрузиться в четыре разные истории, основанные на японском фольклоре, с пугающими существами, атмосферой и неожиданными поворотами сюжета. Игра известна своей жуткой атмосферой и монстрами."
    await bot.send_photo(chat_id=message.chat.id, photo = "https://mimic.fandom.com/wiki/The_Mimic", caption = cap_text, parse_mode = "HTML")

@dp.message(F.text == "милый")
async def scary(message:types.Message):
    cap_text = " милая игра, где игроки управляют собственным кафе в стиле Hello Kitty. Вас ждут яркие пастельные тона, очаровательные персонажи и возможность творчества в управлении заведением."
    await bot.send_photo(chat_id=message.chat.id, photo = "https://www.roblox.com/games/9346039031/Thanksgiving-My-Hello-Kitty-Cafe-Build", caption = cap_text, parse_mode = "HTML")

@dp.message(F.text == "веселый")
async def scary(message:types.Message):
    cap_text = " огромная коллекция разнообразных мини-игр. Каждые несколько минут вас перемещает на новую карту с уникальным заданием: от выживания в условиях стихийных бедствий до соревнований в скорости. Идеально подходит для игры с друзьями."
    await bot.send_photo(chat_id=message.chat.id, photo = "https://offical-roblox-leaks.fandom.com/wiki/EPIC_MINIGAMES", caption = cap_text, parse_mode = "HTML")

@dp.message(F.text == "спокойный")
async def scary(message:types.Message):
    cap_text = "Work at a Pizza Place: Работайте в пиццерии, готовьте, доставляйте заказы – классический симулятор работы"
    await bot.send_photo(chat_id=message.chat.id, photo = "https://roblox.fandom.com/wiki/Player:Dued1/Work_at_a_Pizza_Place", caption = cap_text, parse_mode = "HTML")


@dp.message(Command("help"))
async def cmd_help(message: types.Message):
    await message.answer("опиши плейс одним прилагательным, и я скину тебе подходящие")

@dp.message()
async def invalid_cmd(message: types.Message):
    await message.answer("неверная команда")



async def main():
    await dp.start_polling(bot)

if __name__ == "__main__":
    asyncio.run (main())